local RuneBattleTaskCell = class("RuneBattleTaskCell", BaseCell)

function RuneBattleTaskCell:refresh(desc, taskInfo, over)
    local uiMap = self:getUIMap()
    uiMap["task_cell.desc"]:setText(desc)
    uiMap["task_cell.check"]:setVisible(over)
    uiMap["task_cell.task_icon"]:setSprite(DataManager.DungeonRuneData:getConditionIcon(taskInfo))
end

return RuneBattleTaskCell